Skip to main content
POST
/
api
/
v2
/
incidents
/
across-workspaces
/
bulk-update
Bulk update incidents across workspaces
curl --request POST \
  --url https://api.example.com/api/v2/incidents/across-workspaces/bulk-update \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "id": "<string>",
      "user": {
        "id": "<string>",
        "displayName": "<string>",
        "email": "<string>"
      },
      "workspace": "<string>",
      "removeAssignee": true,
      "comment": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/api/v2/incidents/across-workspaces/bulk-update"

payload = { "items": [
        {
            "id": "<string>",
            "user": {
                "id": "<string>",
                "displayName": "<string>",
                "email": "<string>"
            },
            "workspace": "<string>",
            "removeAssignee": True,
            "comment": "<string>"
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    items: [
      {
        id: '<string>',
        user: {id: '<string>', displayName: '<string>', email: '<string>'},
        workspace: '<string>',
        removeAssignee: true,
        comment: '<string>'
      }
    ]
  })
};

fetch('https://api.example.com/api/v2/incidents/across-workspaces/bulk-update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "accepted": [
      "<string>"
    ],
    "forbidden": [
      {
        "incidentId": "<string>",
        "workspaceId": "<string>",
        "reason": "<string>"
      }
    ]
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}

Body

application/json

v2 request body for the cross-workspace bulk incident update endpoint.

items
null | object[]

Response

OK

Standard v2 API response envelope for single-item responses.

data
object

Outcome of a bulk incident update request after per-incident authorization.

meta
object